Bug 1052185 - [GSS] (6.3.0) MODCLUSTER-365: Reset MCMPs are sent to all available proxies
Summary: [GSS] (6.3.0) MODCLUSTER-365: Reset MCMPs are sent to all available proxies
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: mod_cluster
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER1
: EAP 6.3.0
Assignee: Aaron Ogburn
QA Contact: Michal Karm Babacek
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1028376 1050223 eap63-beta-blockers
TreeView+ depends on / blocked
 
Reported: 2014-01-13 13:08 UTC by Brad Maxwell
Modified: 2018-12-03 20:59 UTC (History)
7 users (show)

(edit)
A previous release of JBoss EAP carried a known issue that resulted in mod_cluster sending reset MCMPs (Mod_Cluster Manangement Protocols) to all httpd servers in its proxy-list after one of them was restarted. This behavior could have had a negative impact on systems with auto-enable context set to 'false'. 

The correct behavior is to send the reset request only to the restarted server. The issue occurred because `DefaultMCMPHander.status` called `sendRequests` which sends to all proxies by default.

This issue has been resolved due to an upgrade to the mod_cluster component.
Clone Of: 1028376
(edit)
Last Closed: 2014-06-28 15:28:45 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODCLUSTER-365 Major Closed Reset MCMPs are sent to all available proxies 2015-12-02 04:50 UTC

Comment 2 Michal Karm Babacek 2014-04-11 13:13:49 UTC
Verified with ER1., mod_cluster 1.2.8.Final

Comment 3 Scott Mumford 2014-04-24 04:52:42 UTC
Added release note text based on what was written for the EAP 6.2 release notes and marked for inclusion in the 6.3.0 documentation.

Comment 4 sgilda 2014-05-12 18:30:10 UTC
Changed <literal></literal> tags in Doc Text to ticks (`) to fix Bug 1096865

Comment 5 Scott Mumford 2014-07-17 04:30:05 UTC
Removing privacy flags for inclusion in 6.3.0 Release Notes as a Known Issue.

Comment 6 Scott Mumford 2014-07-17 04:31:40 UTC
Comment 5 should read 'Bug Fix' not 'Known Issue'


Note You need to log in before you can comment on or make changes to this bug.